com.dlsc.flexgantt.swing

## Enum GanttChartToolBar.Control

- java.lang.Object
- - java.lang.Enum<GanttChartToolBar.Control>
  - - com.dlsc.flexgantt.swing.GanttChartToolBar.Control

- All Implemented Interfaces:
    Serializable, Comparable<GanttChartToolBar.Control>
  Enclosing class:
    GanttChartToolBar<T extends AbstractGanttChart>

      public static enum GanttChartToolBar.Control
      extends Enum<GanttChartToolBar.Control>

  An enumerator that can be used in combination with the toolbar constructor to determine which buttons are displayed.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALIGN_END_TIMES` Value used for creating an align end times of selected timeline objects button.
    `ALIGN_START_TIMES` Value used for creating an align start times of selected timeline objects button.
    `CROSSHAIR` Value used for creating a show spreadsheet button.
    `EARLIEST_OBJECTS` Value used for creating a scroll to show earlierst timeline objects button.
    `EVENTLINE` Value used for creating a show eventline button.
    `GRID` Value used for creating a show grid button.
    `LATEST_OBJECTS` Value used for creating a scroll to show latest timeline objects button.
    `POPUP` Value used for creating a show popups button.
    `POPUP_CLEAR` Value used for creating a clear pinned popups button.
    `PRINT` Value used for creating a print button.
    `PRINT_PREVIEW` Value used for creating a preview button.
    `REDO` Value used for creating a redo button.
    `RELATIONS` Value used for creating a show relationships button.
    `SHOW_ALL` Value used for creating a show all timeline objects button.
    `SPLIT` Value used for creating a split Gantt chart button.
    `TIME_NOW` Value used for creating a scroll to 'time now' button.
    `TREE_COLLAPSE_ALL` Value used for creating a collapse all tree nodes / collapse hierarchy button.
    `TREE_EXPAND_ALL` Value used for creating an expand all tree nodes / expand hierarchy button.
    `UNDO` Value used for creating an undo button.
    `ZOOM_IN` Value used for creating a zoom in button.
    `ZOOM_OUT` Value used for creating a zoom out button.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends Action>` | `getActionClass()` Returns the action class that is assoicated with the control.
    `static GanttChartToolBar.Control` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GanttChartToolBar.Control[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDO

          public static final GanttChartToolBar.Control UNDO

      Value used for creating an undo button.
      Since:
        1.0
      See Also:
        `UndoAction`

    - #### REDO

          public static final GanttChartToolBar.Control REDO

      Value used for creating a redo button.
      Since:
        1.0
      See Also:
        `RedoAction`

    - #### PRINT

          public static final GanttChartToolBar.Control PRINT

      Value used for creating a print button.
      Since:
        1.0
      See Also:
        `PrintGanttChartAction`

    - #### PRINT_PREVIEW

          public static final GanttChartToolBar.Control PRINT_PREVIEW

      Value used for creating a preview button.
      Since:
        1.0
      See Also:
        `PreviewGanttChartAction`

    - #### TREE_COLLAPSE_ALL

          public static final GanttChartToolBar.Control TREE_COLLAPSE_ALL

      Value used for creating a collapse all tree nodes / collapse hierarchy button.
      Since:
        1.0
      See Also:
        `CollapseAllAction`

    - #### TREE_EXPAND_ALL

          public static final GanttChartToolBar.Control TREE_EXPAND_ALL

      Value used for creating an expand all tree nodes / expand hierarchy button.
      Since:
        1.0
      See Also:
        `ExpandAllAction`

    - #### ZOOM_IN

          public static final GanttChartToolBar.Control ZOOM_IN

      Value used for creating a zoom in button.
      Since:
        1.0
      See Also:
        `ZoomInAction`

    - #### ZOOM_OUT

          public static final GanttChartToolBar.Control ZOOM_OUT

      Value used for creating a zoom out button.
      Since:
        1.0
      See Also:
        `ZoomOutAction`

    - #### SHOW_ALL

          public static final GanttChartToolBar.Control SHOW_ALL

      Value used for creating a show all timeline objects button.
      Since:
        1.0
      See Also:
        `AllObjectsAction`

    - #### TIME_NOW

          public static final GanttChartToolBar.Control TIME_NOW

      Value used for creating a scroll to 'time now' button.
      Since:
        1.0
      See Also:
        `TimeNowAction`

    - #### EARLIEST_OBJECTS

          public static final GanttChartToolBar.Control EARLIEST_OBJECTS

      Value used for creating a scroll to show earlierst timeline objects button.
      Since:
        1.0
      See Also:
        `EarliestObjectsAction`

    - #### LATEST_OBJECTS

          public static final GanttChartToolBar.Control LATEST_OBJECTS

      Value used for creating a scroll to show latest timeline objects button.
      Since:
        1.0
      See Also:
        `LatestObjectsAction`

    - #### ALIGN_START_TIMES

          public static final GanttChartToolBar.Control ALIGN_START_TIMES

      Value used for creating an align start times of selected timeline objects button.
      Since:
        1.0
      See Also:
        `AlignStartTimesAction`

    - #### ALIGN_END_TIMES

          public static final GanttChartToolBar.Control ALIGN_END_TIMES

      Value used for creating an align end times of selected timeline objects button.
      Since:
        1.0
      See Also:
        `AlignEndTimesAction`

    - #### GRID

          public static final GanttChartToolBar.Control GRID

      Value used for creating a show grid button.
      Since:
        1.0
      See Also:
        `GridAction`

    - #### POPUP

          public static final GanttChartToolBar.Control POPUP

      Value used for creating a show popups button.
      Since:
        1.0
      See Also:
        `PopupAction`

    - #### POPUP_CLEAR

          public static final GanttChartToolBar.Control POPUP_CLEAR

      Value used for creating a clear pinned popups button.
      Since:
        1.0
      See Also:
        `PopupAction`

    - #### EVENTLINE

          public static final GanttChartToolBar.Control EVENTLINE

      Value used for creating a show eventline button.
      Since:
        1.0
      See Also:
        `EventlineAction`

    - #### CROSSHAIR

          public static final GanttChartToolBar.Control CROSSHAIR

      Value used for creating a show spreadsheet button.
      Since:
        1.0
      See Also:
        `CrosshairAction`

    - #### RELATIONS

          public static final GanttChartToolBar.Control RELATIONS

      Value used for creating a show relationships button.
      Since:
        1.0
      See Also:
        `RelationshipsAction`

    - #### SPLIT

          public static final GanttChartToolBar.Control SPLIT

      Value used for creating a split Gantt chart button.
      Since:
        1.0
      See Also:
        `SplitGanttChartAction`

  - ### Method Detail

    - #### values

          public static GanttChartToolBar.Control[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GanttChartToolBar.Control c : GanttChartToolBar.Control.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GanttChartToolBar.Control valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getActionClass

          public Class<? extends Action> getActionClass()

      Returns the action class that is assoicated with the control.
      Returns:
        the control's action class
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.